import { SET_USER_HISTORY } from '../actions/order_history_actions';
import { LOGOUT_USER } from '../actions/session_actions';
import {SEND_USER_ORDER} from './../actions/checkout_actions'

const initialState = {
    //this will be empty object once we have checkout flow, rn just for conf page building / logic
    orderResponse: {
        "id": "609c0005dd97fc4c9e0f8e63",
        "customerId": "104109244866071991182",
        "customerEmailAddress": "ccottier@nisum.com",
        "orderTrackingCode": "N/A",
        "orderStatus": "RECEIVED",
        "orderCreatedAt": 1.620836357923E12,
        "orderUpdatedAt": 1.620836357923E12,
        "orderItems": [
            {
                "itemName": "Green T-Shirt",
                "itemId": "AFP-1",
                "itemQuantity": 500,
                "itemPrice": 9.9,
                "itemSku": "AFP-1"
            }
        ],
        "customerAddress": {
            "street": "Grand",
            "city": "chicago",
            "state": "IL",
            "zip": "90210"
        }
    },
    orderHistory: []
}

const orderReducer = (prevState = initialState, action) => {
    Object.freeze(prevState);
    const nextState = {...prevState};

    switch(action.type) {
        case SEND_USER_ORDER:
            nextState.orderResponse = action.payload
            return nextState

        case SET_USER_HISTORY:
            nextState.orderHistory = action.orderHistory;
            return nextState;
        case LOGOUT_USER:
            nextState.orderHistory = [];
            return nextState;
        default:
            return nextState
    }
}


export default orderReducer